LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Included Services | Exported Interfaces | Public Attributes | List of all members
SpreadsheetDocument Service Referencepublished

represents a model component which consists of some settings and one or more spreadsheets. More...

`import"SpreadsheetDocument.idl";`

Inheritance diagram for SpreadsheetDocument:

## Included Services
service | com::sun::star::document::OfficeDocument
| common service for all types of documents. More...
service | com::sun::star::sheet::SpreadsheetDocumentSettings
| contributes spreadsheet document specific properties. More...

## Exported Interfaces
interface | com::sun::star::lang::XMultiServiceFactory
| provides methods to create instances of several spreadsheet services. More...
interface | com::sun::star::frame::XModel
| provides common methods for a document model. More...
interface | com::sun::star::document::XActionLockable
| provides methods to control the automatic update of cell contents. More...
interface | com::sun::star::document::XLinkTargetSupplier
| provides access to the collection of link targets available in the document. More...
interface | com::sun::star::util::XProtectable
| provides methods to protect and unprotect the document. More...
interface | com::sun::star::sheet::XSpreadsheetDocument
| provides access to the collection of spreadsheets. More...
interface | com::sun::star::sheet::XCalculatable
| controls the recalculation settings of the document. More...
interface | com::sun::star::sheet::XDocumentAuditing
| provides a method to refresh all auditing arrows. More...
interface | com::sun::star::sheet::XConsolidatable
| provides methods to perform a data consolidation. More...
interface | com::sun::star::sheet::XGoalSeek
| provides a method to perform a goal seek. More...
interface | com::sun::star::drawing::XDrawPagesSupplier
| provides access to the collection of draw pages of this document. More...
interface | com::sun::star::style::XStyleFamiliesSupplier
| provides access to the collection of style families. More...
interface | com::sun::star::util::XNumberFormatsSupplier
| provides access to the collection of number formats contained in the document. More...
Exported Interfaces inherited from OfficeDocument
interface | com::sun::star::frame::XModel
| represents a component which is created from an URL and arguments More...
interface | com::sun::star::util::XModifiable
| a storable document should provide information about his modify state More...
interface | com::sun::star::frame::XStorable
| offers a simple way to store a component to an URL More...
interface | com::sun::star::view::XPrintable
| offers a way to print a component More...
interface | XEventBroadcaster
| is an old and deprecated version of the XDocumentEventBroadcaster interface More...
interface | XDocumentEventBroadcaster
| makes it possible to register listeners which are called whenever a document event occurs More...
interface | XEventsSupplier
| access to bound event handlers More...
interface | XViewDataSupplier
| access to some properties describing all open views to a document More...
interface | com::sun::star::view::XPrintJobBroadcaster
| allows for getting information about a print job More...
interface | XEmbeddedScripts
| is supported when the document can contain scripts and dialogs More...
interface | XDocumentPropertiesSupplier
| access to the DocumentProperties. More...
interface | XUndoManagerSupplier
| provides access to the document's undo manager. More...
Exported Interfaces inherited from SpreadsheetDocumentSettings
interface | com::sun::star::beans::XPropertySet
| published service PropertySet More...

## Public Attributes
com::sun::star::sheet::XNamedRanges | NamedRanges
| contains the collection of named ranges in the document. More...
com::sun::star::sheet::XDatabaseRanges | DatabaseRanges
| contains the collection of database ranges in the document. More...
com::sun::star::sheet::XLabelRanges | ColumnLabelRanges
| contains the collection of column label ranges in the document. More...
com::sun::star::sheet::XLabelRanges | RowLabelRanges
| contains the collection of row label ranges in the document. More...
com::sun::star::container::XNameAccess | SheetLinks
| contains the collection of sheet links in the document. More...
com::sun::star::sheet::XAreaLinks | AreaLinks
| contains the collection of area links in the document. More...
com::sun::star::container::XNameAccess | DDELinks
| contains the collection of DDE links in the document. More...
Public Attributes inherited from OfficeDocument
boolean | AutomaticControlFocus
| controls the focus behavior of the form controls in the document More...
boolean | ApplyFormDesignMode
| controls the initial (on-load) behavior of the form controls in the document More...
string | RuntimeUID
| contains a unique id for the document More...
sequence < com::sun::star::beans::PropertyValue > | InteropGrabBag
| Grab bag of document properties, used as a string-any map for interim interop purposes. More...

## Additional Inherited Members
Public Member Functions inherited from XModel
boolean | attachResource ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| informs a model about its resource description. More...
string | getURL ()
| provides information about the location of this model More...
sequence < com::sun::star::beans::PropertyValue > | getArgs ()
| provides read access on currently representation of the com::sun::star::document::MediaDescriptor of this model which describes the model and his state More...
void | connectController ([in] XController Controller)
| is called whenever a new controller is created for this model. More...
void | disconnectController ([in] XController Controller)
| is called whenever an existing controller should be deregistered at this model. More...
void | lockControllers ()
| suspends some notifications to the controllers which are used for display updates. More...
void | unlockControllers ()
| resumes the notifications which were suspended by XModel::lockControllers(). More...
boolean | hasControllersLocked ()
| determines if there is at least one lock remaining. More...
XController | getCurrentController ()
| provides access to the controller which currently controls this model More...
void | setCurrentController ([in] XController Controller) raises ( com::sun::star::container::NoSuchElementException )
| sets a registered controller as the current controller. More...
com::sun::star::uno::XInterface | getCurrentSelection ()
| provides read access on current selection on controller More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XModifiable
boolean | isModified ()
void | setModified ([in] boolean bModified) raises ( com::sun::star::beans::PropertyVetoException )
| sets the status of the modified-flag from outside of the object. More...
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XStorable
boolean | hasLocation ()
| The object may know the location because it was loaded from there, or because it is stored there. More...
string | getLocation ()
| After XStorable::storeAsURL() it returns the URL the object was stored to. More...
boolean | isReadonly ()
| It is not possible to call XStorable::store() successfully when the data store is read-only. More...
void | store () raises ( com::sun::star::io::IOException )
| stores the data to the URL from which it was loaded. More...
void | storeAsURL ([in] string sURL, [in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( com::sun::star::io::IOException )
| stores the object's persistent data to a URL and makes this URL the new location of the object. More...
void | storeToURL ([in] string sURL, [in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( com::sun::star::io::IOException )
| stores the object's persistent data to a URL and continues to be a representation of the old URL. More...
Public Member Functions inherited from XPrintable
sequence < com::sun::star::beans::PropertyValue > | getPrinter ()
void | setPrinter ([in] sequence< com::sun::star::beans::PropertyValue > aPrinter) raises ( com::sun::star::lang::IllegalArgumentException )
| assigns a new printer to the object. More...
void | print ([in] sequence< com::sun::star::beans::PropertyValue > xOptions) raises ( com::sun::star::lang::IllegalArgumentException )
| prints the object. More...
Public Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance. More...
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances. More...
Public Member Functions inherited from XActionLockable
boolean | isActionLocked ()
void | addActionLock ()
| increments the lock count of the object by one. More...
void | removeActionLock ()
| decrements the lock count of the object by one. More...
void | setActionLocks ([in] short nLock)
| sets the locking level. More...
short | resetActionLocks ()
| resets the locking level. More...
Public Member Functions inherited from XLinkTargetSupplier
com::sun::star::container::XNameAccess | getLinks ()
Public Member Functions inherited from XProtectable
void | protect ([in] string aPassword)
| activates the protection. More...
void | unprotect ([in] string aPassword) raises ( com::sun::star::lang::IllegalArgumentException )
| removes the protection. More...
boolean | isProtected ()
Public Member Functions inherited from XSpreadsheetDocument
com::sun::star::sheet::XSpreadsheets | getSheets ()
| returns the collection of sheets in the document. More...
Public Member Functions inherited from XCalculatable
void | calculate ()
| recalculates all dirty cells. More...
void | calculateAll ()
| recalculates all cells. More...
boolean | isAutomaticCalculationEnabled ()
| returns whether automatic calculation is enabled. More...
void | enableAutomaticCalculation ([in] boolean bEnabled)
| enables automatic calculation. More...
Public Member Functions inherited from XDocumentAuditing
void | refreshArrows ()
| refreshes all existing auditing arrows on all sheets of the document. More...
Public Member Functions inherited from XConsolidatable
com::sun::star::sheet::XConsolidationDescriptor | createConsolidationDescriptor ([in] boolean bEmpty)
| creates a consolidation descriptor. More...
void | consolidate ([in] com::sun::star::sheet::XConsolidationDescriptor xDescriptor)
| consolidates data from several cell ranges, using the settings in the passed descriptor. More...
Public Member Functions inherited from XGoalSeek
com::sun::star::sheet::GoalResult | seekGoal ([in] com::sun::star::table::CellAddress aFormulaPosition, [in] com::sun::star::table::CellAddress aVariablePosition, [in] string aGoalValue)
| calculates a value which gives a specified result in a formula. More...
Public Member Functions inherited from XDrawPagesSupplier
com::sun::star::drawing::XDrawPages | getDrawPages ()
Public Member Functions inherited from XStyleFamiliesSupplier
com::sun::star::container::XNameAccess | getStyleFamilies ()
| This method returns the collection of style families available in the container document. More...
Public Member Functions inherited from XNumberFormatsSupplier
com::sun::star::beans::XPropertySet | getNumberFormatSettings ()
com::sun::star::util::XNumberFormats | getNumberFormats ()
Protected Member Functions inherited from XEventBroadcaster
void | addEventListener ([in] XEventListener Listener)
| registers the given listener More...
void | removeEventListener ([in] XEventListener Listener)
| unregisters the given listener More...
Protected Member Functions inherited from XDocumentEventBroadcaster
void | addDocumentEventListener ([in] XDocumentEventListener Listener)
| registers a listener which is notified about document events More...
void | removeDocumentEventListener ([in] XDocumentEventListener Listener)
| revokes a listener which has previously been registered to be notified about document events. More...
void | notifyDocumentEvent ([in] string EventName, [in]::com::sun::star::frame::XController2 ViewController, [in] any Supplement) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::NoSupportException )
| causes the broadcaster to notify all registered listeners of the given event More...
Protected Member Functions inherited from XEventsSupplier
com::sun::star::container::XNameReplace | getEvents ()
| offers a list of event handlers which are be bound to events of this object More...
Protected Member Functions inherited from XViewDataSupplier
::com::sun::star::container::XIndexAccess | getViewData ()
| retrieve information about currently opened view to restore it later More...
void | setViewData ([in] com::sun::star::container::XIndexAccess Data)
| restore all views which will be represented by given data argument More...
Protected Member Functions inherited from XPrintJobBroadcaster
void | addPrintJobListener ([in] XPrintJobListener xListener)
| adds an XPrintJobListener to be notified about print progress. More...
void | removePrintJobListener ([in] XPrintJobListener xListener)
| removes an XPrintJobListener. More...
Protected Member Functions inherited from XDocumentPropertiesSupplier
XDocumentProperties | getDocumentProperties ()
| provides the document properties object. More...
Protected Member Functions inherited from XUndoManagerSupplier
XUndoManager | getUndoManager ()
| returns the Undo manager associated with the component. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance. More...
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances. More...
Protected Member Functions inherited from XActionLockable
boolean | isActionLocked ()
void | addActionLock ()
| increments the lock count of the object by one. More...
void | removeActionLock ()
| decrements the lock count of the object by one. More...
void | setActionLocks ([in] short nLock)
| sets the locking level. More...
short | resetActionLocks ()
| resets the locking level. More...
Protected Member Functions inherited from XLinkTargetSupplier
com::sun::star::container::XNameAccess | getLinks ()
Protected Member Functions inherited from XProtectable
void | protect ([in] string aPassword)
| activates the protection. More...
void | unprotect ([in] string aPassword) raises ( com::sun::star::lang::IllegalArgumentException )
| removes the protection. More...
boolean | isProtected ()
Protected Member Functions inherited from XSpreadsheetDocument
com::sun::star::sheet::XSpreadsheets | getSheets ()
| returns the collection of sheets in the document. More...
Protected Member Functions inherited from XCalculatable
void | calculate ()
| recalculates all dirty cells. More...
void | calculateAll ()
| recalculates all cells. More...
boolean | isAutomaticCalculationEnabled ()
| returns whether automatic calculation is enabled. More...
void | enableAutomaticCalculation ([in] boolean bEnabled)
| enables automatic calculation. More...
Protected Member Functions inherited from XDocumentAuditing
void | refreshArrows ()
| refreshes all existing auditing arrows on all sheets of the document. More...
Protected Member Functions inherited from XConsolidatable
com::sun::star::sheet::XConsolidationDescriptor | createConsolidationDescriptor ([in] boolean bEmpty)
| creates a consolidation descriptor. More...
void | consolidate ([in] com::sun::star::sheet::XConsolidationDescriptor xDescriptor)
| consolidates data from several cell ranges, using the settings in the passed descriptor. More...
Protected Member Functions inherited from XGoalSeek
com::sun::star::sheet::GoalResult | seekGoal ([in] com::sun::star::table::CellAddress aFormulaPosition, [in] com::sun::star::table::CellAddress aVariablePosition, [in] string aGoalValue)
| calculates a value which gives a specified result in a formula. More...
Protected Member Functions inherited from XDrawPagesSupplier
com::sun::star::drawing::XDrawPages | getDrawPages ()
Protected Member Functions inherited from XStyleFamiliesSupplier
com::sun::star::container::XNameAccess | getStyleFamilies ()
| This method returns the collection of style families available in the container document. More...
Protected Member Functions inherited from XNumberFormatsSupplier
com::sun::star::beans::XPropertySet | getNumberFormatSettings ()
com::sun::star::util::XNumberFormats | getNumberFormats ()
Protected Attributes inherited from XEmbeddedScripts
::com::sun::star::script::XStorageBasedLibraryContainer | BasicLibraries
| is the container of `StarBasic` macro libraries contained in the document More...
::com::sun::star::script::XStorageBasedLibraryContainer | DialogLibraries
| is the container of dialogs libraries contained in the document More...
boolean | AllowMacroExecution
| determines whether executing macros from this document is allowed. More...
Protected Attributes inherited from SpreadsheetDocumentSettings
boolean | IsIterationEnabled
| enables iterated calculation of circular references. More...
long | IterationCount
| specifies how many iterations are carried out. More...
double | IterationEpsilon
| specifies the point at which a change in results will stop the iteration. More...
short | StandardDecimals
| specifies the number of decimals in the default number format. More...
com::sun::star::util::Date | NullDate
| specifies the date that is represented by the value zero. More...
short | DefaultTabStop
| specifies the width of default tabulators. More...
boolean | IgnoreCase
| specifies whether upper and lower cases are treated as equal when comparing cells. More...
boolean | CalcAsShown
| specifies whether calculations are performed with the rounded values displayed in cells (set to `TRUE`) instead of the internal values (set to `FALSE`). More...
boolean | MatchWholeCell
| specifies whether filter criteria must match entire cell contents. More...
boolean | SpellOnline
| enables online spell checking. More...
boolean | LookUpLabels
| specifies whether column or row labels are looked up from anywhere on the sheet. More...
boolean | RegularExpressions
| specifies whether regular expressions in formulas are enabled, e.g., for functions which look up spreadsheet contents. More...
com::sun::star::i18n::XForbiddenCharacters | ForbiddenCharacters
| contains the interface XForbiddenCharacters. More...
boolean | HasDrawPages
| If this property is set the document has DrawPages. More...
com::sun::star::lang::Locale | CharLocale
| contains the standard document language for Western text. More...
com::sun::star::lang::Locale | CharLocaleAsian
| contains the standard document language for Asian text. More...
com::sun::star::lang::Locale | CharLocaleComplex
| contains the standard document language for Complex text. More...
boolean | IsLoaded
| specifies whether the document data are already loaded. More...
boolean | IsUndoEnabled
| specifies whether the undo command is enabled. More...
boolean | IsAdjustHeightEnabled
| specifies whether the automatic adjustment of the row height is enabled. More...
boolean | IsExecuteLinkEnabled
| specifies whether the automatic execution of links is enabled. More...
com::sun::star::awt::XDevice | ReferenceDevice
| contains the reference device used for formatting the document. More...

## Detailed Description

represents a model component which consists of some settings and one or more spreadsheets.

Developers Guide
  Spreadsheets - Working With Spreadsheet Documents - Document Structure - Spreadsheet Document
  Spreadsheets - Spreadsheet Documents

## Exported Interfaces

service com::sun::star::document::OfficeDocument

common service for all types of documents.

service com::sun::star::sheet::SpreadsheetDocumentSettings
| optional

contributes spreadsheet document specific properties.

Deprecated:

## Exported Interfaces

interface com::sun::star::document::XActionLockable

provides methods to control the automatic update of cell contents.

interface com::sun::star::document::XLinkTargetSupplier

provides access to the collection of link targets available in the document.

interface com::sun::star::drawing::XDrawPagesSupplier

provides access to the collection of draw pages of this document.

interface com::sun::star::frame::XModel

provides common methods for a document model.

This interface is derived from com::sun::star::lang::XComponent.

interface com::sun::star::lang::XMultiServiceFactory

provides methods to create instances of several spreadsheet services.

interface com::sun::star::sheet::XCalculatable

controls the recalculation settings of the document.

interface com::sun::star::sheet::XConsolidatable

provides methods to perform a data consolidation.

interface com::sun::star::sheet::XDocumentAuditing

provides a method to refresh all auditing arrows.

interface com::sun::star::sheet::XGoalSeek

provides a method to perform a goal seek.

interface com::sun::star::sheet::XSpreadsheetDocument

provides access to the collection of spreadsheets.

interface com::sun::star::style::XStyleFamiliesSupplier

provides access to the collection of style families.

A spreadsheet document contains 2 families of styles: "PageStyles" and "CellStyles".

interface com::sun::star::util::XNumberFormatsSupplier

provides access to the collection of number formats contained in the document.

interface com::sun::star::util::XProtectable

provides methods to protect and unprotect the document.

## Member Data Documentation

com::sun::star::sheet::XAreaLinks AreaLinks
| property readonly

contains the collection of area links in the document.

com::sun::star::sheet::XLabelRanges ColumnLabelRanges
| property readonly

contains the collection of column label ranges in the document.

com::sun::star::sheet::XDatabaseRanges DatabaseRanges
| property readonly

contains the collection of database ranges in the document.

com::sun::star::container::XNameAccess DDELinks
| property readonly

contains the collection of DDE links in the document.

com::sun::star::sheet::XNamedRanges NamedRanges
| property readonly

contains the collection of named ranges in the document.

com::sun::star::sheet::XLabelRanges RowLabelRanges
| property readonly

contains the collection of row label ranges in the document.

com::sun::star::container::XNameAccess SheetLinks
| property readonly

contains the collection of sheet links in the document.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/SpreadsheetDocument.idl